<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>tf2lss</ProjectName>
    <ProjectGuid>{B6572CBE-7C7F-4FFF-94DE-AFBBBAB11C64}</ProjectGuid>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">.\Debug\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">.\Debug\</IntDir>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PreBuildEventUseInBuild>
    <PreLinkEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PreLinkEventUseInBuild>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</LinkIncremental>
    <GenerateManifest Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</GenerateManifest>
    <PostBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PostBuildEventUseInBuild>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">.\Release\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">.\Release\</IntDir>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PreBuildEventUseInBuild>
    <PreLinkEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PreLinkEventUseInBuild>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <GenerateManifest Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</GenerateManifest>
    <PostBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PostBuildEventUseInBuild>
    <LibraryPath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(VCInstallDir)lib;$(VCInstallDir)atlmfc\lib;$(WindowsSdkDir)lib;$(FrameworkSDKDir)\lib</LibraryPath>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Takeover</TargetName>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <PreBuildEvent>
      <Command>
      </Command>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>.\luafilesys;.\luasocks;.\lua;..\..\common;..\..\public;..\..\public\tier0;..\..\public\tier1;..\..\game\server;..\..\game\shared;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WIN32;_DEBUG;DEBUG;_WINDOWS;_USRDLL;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;serverplugin_emptyONLY;_MBCS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <MinimalRebuild>true</MinimalRebuild>
      <ExceptionHandling>
      </ExceptionHandling>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)</ProgramDataBaseFileName>
      <GenerateXMLDocumentationFiles>false</GenerateXMLDocumentationFiles>
      <BrowseInformation>
      </BrowseInformation>
      <BrowseInformationFile>$(IntDir)</BrowseInformationFile>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>CompileAsCpp</CompileAs>
      <ErrorReporting>Prompt</ErrorReporting>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)$(ProjectName).dll</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\lib\common;..\..\lib\public;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>libc;libcd;libcmt;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(IntDir)$(TargetName).pdb</ProgramDatabaseFile>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(IntDir)$(TargetName).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <BaseAddress>
      </BaseAddress>
      <TargetMachine>MachineX86</TargetMachine>
      <LinkErrorReporting>PromptImmediately</LinkErrorReporting>
    </Link>
    <Manifest>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Manifest>
    <Xdcmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Xdcmake>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(OutDir)serverplugin_empty.bsc</OutputFile>
    </Bscmake>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <PreBuildEvent>
      <Command>
      </Command>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <AdditionalIncludeDirectories>.\luafilesys;.\luasocks;.\lua;..\..\common;..\..\public;..\..\public\tier0;..\..\public\tier1;..\..\game\server;..\..\game\shared;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WIN32;NDEBUG;_WINDOWS;_USRDLL;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;serverplugin_emptyONLY;_MBCS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>
      </ExceptionHandling>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <FloatingPointModel>Fast</FloatingPointModel>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)</ProgramDataBaseFileName>
      <GenerateXMLDocumentationFiles>false</GenerateXMLDocumentationFiles>
      <BrowseInformation>
      </BrowseInformation>
      <BrowseInformationFile>$(IntDir)</BrowseInformationFile>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>CompileAsCpp</CompileAs>
      <ErrorReporting>Prompt</ErrorReporting>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/FORCE:MULTIPLE %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ShowProgress>NotSet</ShowProgress>
      <OutputFile>$(OutDir)\Takeover.dll</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\lib\common;..\..\lib\public;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreSpecificDefaultLibraries>libcmtd.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(IntDir)$(TargetName).pdb</ProgramDatabaseFile>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(IntDir)$(TargetName).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <BaseAddress>
      </BaseAddress>
      <TargetMachine>MachineX86</TargetMachine>
      <LinkErrorReporting>PromptImmediately</LinkErrorReporting>
    </Link>
    <Manifest>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Manifest>
    <Xdcmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Xdcmake>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(OutDir)serverplugin_empty.bsc</OutputFile>
    </Bscmake>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="serverplugin_empty.cpp" />
  </ItemGroup>
  <ItemGroup>
    <Library Include="..\..\lib\public\mathlib.lib" />
    <Library Include="..\..\lib\public\tier0.lib" />
    <Library Include="..\..\lib\public\tier1.lib" />
    <Library Include="..\..\lib\public\tier2.lib" />
    <Library Include="..\..\lib\public\vstdlib.lib" />
    <Library Include="libs\lsstf2.lib" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\public\tier0\basetypes.h" />
    <ClInclude Include="..\..\public\Color.h" />
    <ClInclude Include="..\..\public\tier0\dbg.h" />
    <ClInclude Include="..\..\public\eiface.h" />
    <ClInclude Include="..\..\public\filesystem.h" />
    <ClInclude Include="..\..\public\vstdlib\ICommandLine.h" />
    <ClInclude Include="..\..\public\igameevents.h" />
    <ClInclude Include="..\..\public\tier1\interface.h" />
    <ClInclude Include="..\..\public\game\server\iplayerinfo.h" />
    <ClInclude Include="..\..\public\engine\iserverplugin.h" />
    <ClInclude Include="..\..\public\tier1\KeyValues.h" />
    <ClInclude Include="..\..\public\tier0\mem.h" />
    <ClInclude Include="..\..\public\tier0\memalloc.h" />
    <ClInclude Include="..\..\public\tier0\memdbgon.h" />
    <ClInclude Include="..\..\public\vstdlib\strtools.h" />
    <ClInclude Include="..\..\public\tier1\utlbuffer.h" />
    <ClInclude Include="..\..\public\tier1\utlmemory.h" />
    <ClInclude Include="..\..\public\tier1\utlvector.h" />
    <ClInclude Include="..\..\public\vstdlib\vstdlib.h" />
    <ClInclude Include="encryption\base64.h" />
    <ClInclude Include="encryption\md5.h" />
  </ItemGroup>
  <ItemGroup>
    <Object Include="libs\auxiliar.obj" />
    <Object Include="libs\buffer.obj" />
    <Object Include="libs\except.obj" />
    <Object Include="libs\inet.obj" />
    <Object Include="libs\io.obj" />
    <Object Include="libs\lapi.obj" />
    <Object Include="libs\lauxlib.obj" />
    <Object Include="libs\lbaselib.obj" />
    <Object Include="libs\lcode.obj" />
    <Object Include="libs\ldblib.obj" />
    <Object Include="libs\ldebug.obj" />
    <Object Include="libs\ldo.obj" />
    <Object Include="libs\ldump.obj" />
    <Object Include="libs\lfs.obj" />
    <Object Include="libs\lfunc.obj" />
    <Object Include="libs\lgc.obj" />
    <Object Include="libs\linit.obj" />
    <Object Include="libs\liolib.obj" />
    <Object Include="libs\llex.obj" />
    <Object Include="libs\lmathlib.obj" />
    <Object Include="libs\lmem.obj" />
    <Object Include="libs\loadlib.obj" />
    <Object Include="libs\lobject.obj" />
    <Object Include="libs\lopcodes.obj" />
    <Object Include="libs\loslib.obj" />
    <Object Include="libs\lparser.obj" />
    <Object Include="libs\lstate.obj" />
    <Object Include="libs\lstring.obj" />
    <Object Include="libs\lstrlib.obj" />
    <Object Include="libs\ltable.obj" />
    <Object Include="libs\ltablib.obj" />
    <Object Include="libs\ltm.obj" />
    <Object Include="libs\lua.obj" />
    <Object Include="libs\luac.obj" />
    <Object Include="libs\luasocket.obj" />
    <Object Include="libs\lundump.obj" />
    <Object Include="libs\lvm.obj" />
    <Object Include="libs\lzio.obj" />
    <Object Include="libs\mime.obj" />
    <Object Include="libs\options.obj" />
    <Object Include="libs\print.obj" />
    <Object Include="libs\select.obj" />
    <Object Include="libs\tcp.obj" />
    <Object Include="libs\timeout.obj" />
    <Object Include="libs\udp.obj" />
    <Object Include="libs\wsocket.obj" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>